#!/usr/bin/make -f

PYVERS := $(shell pyversions -r)

%:
	dh $@ --with python2

override_dh_auto_build:
	set -e; \
	for py in $(PYVERS); do \
	    $$py config_unix.py --prefix /usr; \
	    $$py setup.py build;               \
	done
	set -e; \
	for py in $(PYVERS); do \
	    $$py-dbg config_unix.py --prefix /usr; \
	    $$py-dbg setup.py build;               \
	done

override_dh_auto_clean:
	-for py in $(PYVERS); do \
		$$py setup.py clean --all; \
		$$py-dbg setup.py clean --all; \
	done

override_dh_auto_install:
	for py in $(PYVERS); do        \
	    $$py setup.py install --root=$(CURDIR)/debian/python-ogg --install-layout=deb; \
	done
	for py in $(PYVERS); do        \
	    $$py-dbg setup.py install --root=$(CURDIR)/debian/python-ogg-dbg --install-layout=deb; \
	done
	find debian/python-*-dbg ! -type d ! -name '*.so' | xargs rm -f
	find debian/python-*-dbg -depth -empty -exec rmdir {} \;
	for py in $(PYVERS); do        \
	    rm -rf debian/python-ogg-dbg/usr/include/$$py; \
	    mkdir -p debian/python-ogg-dbg/usr/include/$${py}_d; \
	    ln -s ../$$py/pyogg debian/python-ogg-dbg/usr/include/$${py}_d/pyogg; \
	done

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-ogg --dbg-package=python-ogg-dbg
endif

override_dh_installdocs:
	dh_installdocs --link-doc=python-ogg
